package com.chinaitop.depot.feign;

import com.chinaitop.depot.common.HystrixClientFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author qingsong.han
 * @description: 原粮粮情卡feign接口
 * @create 2020-07-16 14:18
 */
@FeignClient(name = "depot-agile", fallback = HystrixClientFallback.class)
public interface GrainCardFeignClient {

    /**
     * @param json
     */
    @RequestMapping(value = "/agile/kcsw/updateKcswLsxz", method = RequestMethod.GET)
    void updateKcswLsxz(@RequestParam(value = "json") String json);

}
