package com.chinaitop.depot.grainSituationCard.mapper;

import com.chinaitop.depot.grainSituationCard.model.StorageCerealsCard;
import com.chinaitop.depot.grainSituationCard.model.StorageCerealsCardExample;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface StorageCerealsCardMapper {
    int countByExample(StorageCerealsCardExample example);

    int deleteByExample(StorageCerealsCardExample example);

    int deleteByPrimaryKey(String id);

    int insert(StorageCerealsCard record);

    int insertSelective(StorageCerealsCard record);

    List<StorageCerealsCard> selectByExample(StorageCerealsCardExample example);

    StorageCerealsCard selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") StorageCerealsCard record, @Param("example") StorageCerealsCardExample example);

    int updateByExample(@Param("record") StorageCerealsCard record, @Param("example") StorageCerealsCardExample example);

    int updateByPrimaryKeySelective(StorageCerealsCard record);

    int updateByPrimaryKey(StorageCerealsCard record);

    /**
     * 根据id查询,需要关联保管员信息
     * @param id
     * @return
     */
    StorageCerealsCard selectByIdJoinKeeper(@Param("id") String id);

    /**
     * 查询成品粮性质
     * @param spareOne 仓房ID
     * @param spareTwo 货位ID
     * @param orgId 组织机构ID
     * @return 查询成品粮性质的字典表ID
     */
    Integer findQuality(@Param("spareOne")  String spareOne, @Param("spareTwo")  String spareTwo, @Param("orgId")  String orgId);
}
