package com.chinaitop.depot.grainSituationCard.model;

import java.util.Date;

public class StorageDailycheck {
    private Integer id;

    private Integer houseId;

    private Integer warehouseId;

    private Integer orgId;

    private Integer subType;

    private Date checkTime;

    private String checker;

    private String pestsPosition;

    private Integer pestsDensity;

    private Integer pestsSpecies;

    private String rainCheck;

    private String ratfinchCheck;

    private String otherCheck;

    private String findQuestion;

    private Integer flagType;

    private String dailycardId;

    /**
     * id
     * @return id id
     */
    public Integer getId() {
        return id;
    }

    /**
     * id
     * @param id id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 仓房的id
     * @return house_id 仓房的id
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房的id
     * @param houseId 仓房的id
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 货位号id
     * @return warehouse_id 货位号id
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位号id
     * @param warehouseId 货位号id
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 库级id
     * @return org_id 库级id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 库级id
     * @param orgId 库级id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 品种
     * @return sub_type 品种
     */
    public Integer getSubType() {
        return subType;
    }

    /**
     * 品种
     * @param subType 品种
     */
    public void setSubType(Integer subType) {
        this.subType = subType;
    }

    /**
     * 检验日期
     * @return check_time 检验日期
     */
    public Date getCheckTime() {
        return checkTime;
    }

    /**
     * 检验日期
     * @param checkTime 检验日期
     */
    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    /**
     * 检验人
     * @return checker 检验人
     */
    public String getChecker() {
        return checker;
    }

    /**
     * 检验人
     * @param checker 检验人
     */
    public void setChecker(String checker) {
        this.checker = checker == null ? null : checker.trim();
    }

    /**
     * 虫害部位
     * @return pests_position 虫害部位
     */
    public String getPestsPosition() {
        return pestsPosition;
    }

    /**
     * 虫害部位
     * @param pestsPosition 虫害部位
     */
    public void setPestsPosition(String pestsPosition) {
        this.pestsPosition = pestsPosition == null ? null : pestsPosition.trim();
    }

    /**
     * 虫害密度
     * @return pests_density 虫害密度
     */
    public Integer getPestsDensity() {
        return pestsDensity;
    }

    /**
     * 虫害密度
     * @param pestsDensity 虫害密度
     */
    public void setPestsDensity(Integer pestsDensity) {
        this.pestsDensity = pestsDensity;
    }

    /**
     * 害虫虫种
     * @return pests_species 害虫虫种
     */
    public Integer getPestsSpecies() {
        return pestsSpecies;
    }

    /**
     * 害虫虫种
     * @param pestsSpecies 害虫虫种
     */
    public void setPestsSpecies(Integer pestsSpecies) {
        this.pestsSpecies = pestsSpecies;
    }

    /**
     * 雨后检查
     * @return rain_check 雨后检查
     */
    public String getRainCheck() {
        return rainCheck;
    }

    /**
     * 雨后检查
     * @param rainCheck 雨后检查
     */
    public void setRainCheck(String rainCheck) {
        this.rainCheck = rainCheck == null ? null : rainCheck.trim();
    }

    /**
     * 鼠雀检查
     * @return ratfinch_check 鼠雀检查
     */
    public String getRatfinchCheck() {
        return ratfinchCheck;
    }

    /**
     * 鼠雀检查
     * @param ratfinchCheck 鼠雀检查
     */
    public void setRatfinchCheck(String ratfinchCheck) {
        this.ratfinchCheck = ratfinchCheck == null ? null : ratfinchCheck.trim();
    }

    /**
     * 其他检查
     * @return other_check 其他检查
     */
    public String getOtherCheck() {
        return otherCheck;
    }

    /**
     * 其他检查
     * @param otherCheck 其他检查
     */
    public void setOtherCheck(String otherCheck) {
        this.otherCheck = otherCheck == null ? null : otherCheck.trim();
    }

    /**
     * 发现问题
     * @return find_question 发现问题
     */
    public String getFindQuestion() {
        return findQuestion;
    }

    /**
     * 发现问题
     * @param findQuestion 发现问题
     */
    public void setFindQuestion(String findQuestion) {
        this.findQuestion = findQuestion == null ? null : findQuestion.trim();
    }

    /**
     * 保存:1,提交:2
     * @return flag_type 保存:1,提交:2
     */
    public Integer getFlagType() {
        return flagType;
    }

    /**
     * 保存:1,提交:2
     * @param flagType 保存:1,提交:2
     */
    public void setFlagType(Integer flagType) {
        this.flagType = flagType;
    }

    public String getDailycardId() {
        return dailycardId;
    }

    public void setDailycardId(String dailycardId) {
        this.dailycardId = dailycardId;
    }
}