package com.chinaitop.depot.grainSituationCard.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 褚存超限告警 model
 * @author aihua
 * @date 2022-04-16 16:10
 */
public class StorageOverDueAlarmView {
    /**
     * 主键ID
     */
    private String id;
    /**
     * 仓房名称
     */
    private String storeHouseName;
    /**
     * 粮油性质
     */
    private String grainOilQuality;
    /**
     * 粮油名称
     */
    private  String grainOilName;
    /**
     * 等级
     */
    private String level;



    /**
     * 库存数量（公斤）
     */
    private String inventoryQuantity;



    /**
     * 封仓时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date fcTime;


    /**
     * 储备年限
     */
    private Integer limitYear;


    public void setFcTime(Date fcTime) {
        this.fcTime = fcTime;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getStoreHouseName() {
        return storeHouseName;
    }

    public void setStoreHouseName(String storeHouseName) {
        this.storeHouseName = storeHouseName;
    }

    public String getGrainOilQuality() {
        return grainOilQuality;
    }

    public void setGrainOilQuality(String grainOilQuality) {
        this.grainOilQuality = grainOilQuality;
    }

    public String getGrainOilName() {
        return grainOilName;
    }

    public void setGrainOilName(String grainOilName) {
        this.grainOilName = grainOilName;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public Integer getLimitYear() {
        return limitYear;
    }

    public void setLimitYear(Integer limitYear) {
        this.limitYear = limitYear;
    }

    public String getInventoryQuantity() {
        return inventoryQuantity;
    }

    public void setInventoryQuantity(String inventoryQuantity) {
        this.inventoryQuantity = inventoryQuantity;
    }

    public Date getFcTime() {
        return fcTime;
    }

    public void setAlarmTime(Date fcTime) {
        this.fcTime = fcTime;
    }
}
