package com.chinaitop.depot;

import com.github.pagehelper.autoconfigure.PageHelperAutoConfiguration;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

@EnableDiscoveryClient
@EnableFeignClients
@MapperScan(basePackages = {"com.chinaitop.depot.*.mapper"})
@SpringBootApplication(exclude = PageHelperAutoConfiguration.class) //配置mybatis的配置文件使用，否则报多个分页插件
public class DepotSharedTianjinApplication {

    public static void main(String[] args) {
        SpringApplication.run(DepotSharedTianjinApplication.class, args);
    }

}
