package com.chinaitop.depot.grainSituationCard.mapper;

import com.chinaitop.depot.grainSituationCard.model.StorageTempCard;
import com.chinaitop.depot.grainSituationCard.model.StorageTempCardExample;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface StorageTempCardMapper {
    int countByExample(StorageTempCardExample example);

    int deleteByExample(StorageTempCardExample example);

    int deleteByPrimaryKey(String id);

    int insert(StorageTempCard record);

    int insertSelective(StorageTempCard record);

    List<StorageTempCard> selectByExampleWithBLOBs(StorageTempCardExample example);

    List<StorageTempCard> selectByExample(StorageTempCardExample example);

    StorageTempCard selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") StorageTempCard record, @Param("example") StorageTempCardExample example);

    int updateByExampleWithBLOBs(@Param("record") StorageTempCard record, @Param("example") StorageTempCardExample example);

    int updateByExample(@Param("record") StorageTempCard record, @Param("example") StorageTempCardExample example);

    int updateByPrimaryKeySelective(StorageTempCard record);

    int updateByPrimaryKeyWithBLOBs(StorageTempCard record);

    int updateByPrimaryKey(StorageTempCard record);

    /**
     * 在t_testdate表查询数据转成StorageTempCard数据
     * @param dataMap
     * @return
     */
    List<StorageTempCard> findByStorehouseAndHouse(Map<String, String> dataMap);
}