package com.chinaitop.depot.grainSituationCard.model;

import java.util.Date;

public class StorageDailycheckTwo {
    private String id;

    private Integer houseId;

    private Integer warehouseId;

    private Integer orgId;

    private Date tfstartTime;

    private Date tfendTime;

    private Integer aerationType;

    private String tfbeforeTem;

    private String tfafterTem;

    private Integer flagType;

    private String dailycardId;

    /**
     * uuid
     * @return id uuid
     */
    public String getId() {
        return id;
    }

    /**
     * uuid
     * @param id uuid
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 仓房的id
     * @return house_id 仓房的id
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房的id
     * @param houseId 仓房的id
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 货位号id
     * @return warehouse_id 货位号id
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位号id
     * @param warehouseId 货位号id
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 库级id
     * @return org_id 库级id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 库级id
     * @param orgId 库级id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 通风开始时间
     * @return tfStart_time 通风开始时间
     */
    public Date getTfstartTime() {
        return tfstartTime;
    }

    /**
     * 通风开始时间
     * @param tfstartTime 通风开始时间
     */
    public void setTfstartTime(Date tfstartTime) {
        this.tfstartTime = tfstartTime;
    }

    /**
     * 通风结束时间
     * @return tfEnd_time 通风结束时间
     */
    public Date getTfendTime() {
        return tfendTime;
    }

    /**
     * 通风结束时间
     * @param tfendTime 通风结束时间
     */
    public void setTfendTime(Date tfendTime) {
        this.tfendTime = tfendTime;
    }

    /**
     * 通风方式
     * @return aeration_type 通风方式
     */
    public Integer getAerationType() {
        return aerationType;
    }

    /**
     * 通风方式
     * @param aerationType 通风方式
     */
    public void setAerationType(Integer aerationType) {
        this.aerationType = aerationType;
    }

    /**
     * 通风前平均粮温
     * @return tfBefore_tem 通风前平均粮温
     */
    public String getTfbeforeTem() {
        return tfbeforeTem;
    }

    /**
     * 通风前平均粮温
     * @param tfbeforeTem 通风前平均粮温
     */
    public void setTfbeforeTem(String tfbeforeTem) {
        this.tfbeforeTem = tfbeforeTem == null ? null : tfbeforeTem.trim();
    }

    /**
     * 通风后平均粮温
     * @return tfAfter_tem 通风后平均粮温
     */
    public String getTfafterTem() {
        return tfafterTem;
    }

    /**
     * 通风后平均粮温
     * @param tfafterTem 通风后平均粮温
     */
    public void setTfafterTem(String tfafterTem) {
        this.tfafterTem = tfafterTem == null ? null : tfafterTem.trim();
    }

    /**
     * 保存:1,提交:2
     * @return flag_type 保存:1,提交:2
     */
    public Integer getFlagType() {
        return flagType;
    }

    /**
     * 保存:1,提交:2
     * @param flagType 保存:1,提交:2
     */
    public void setFlagType(Integer flagType) {
        this.flagType = flagType;
    }

    /**
     * 对应原粮粮情卡ID
     * @return
     */
    public String getDailycardId() {
        return dailycardId;
    }

    /**
     * 对应原粮粮情卡ID
     * @param dailycardId
     */
    public void setDailycardId(String dailycardId) {
        this.dailycardId = dailycardId;
    }
}